using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {
		    CategoryBuilder.Create("CHP", "Civilian Humas Pack", ModAPI.LoadSprite("icon/modicon.png"));

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Red Jacket",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = " Aboba",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("1.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "White Undershirt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Ne nu ia hz top",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("2.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Black Shirt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Black",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("3.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "White Shirt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "That Girl!In Jeans Shorts",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("4.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Red Jacket 2  Variant",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "2",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("5.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Blue Jacket",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Blue",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("6.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Orange Jacket",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Orange",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("7.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Gray Jacket",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Gray",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/8.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("8.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Orange Shirt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Orange",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/9.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("9.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "White Undershirt 2 Variant",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Camo Pants",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/10.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("10.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Gray Undershirt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Gray",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/11.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("11.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "White Shirt 2 Variant",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Tatto, Cool.",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/12.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("12.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Naked Torso",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Hot",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/13.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("13.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Green Jacket",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Indonesian Patch",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/14.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("14.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Light Blue Jacket",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Blue But Light",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/15.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("15.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Adidas Suit Black",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Gopnik",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/16.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("16.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Adidas Suit Green",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Cool Gopnik",
                    CategoryOverride = ModAPI.FindCategory("CHP"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/17.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("17.png");
						var flesh = ModAPI.LoadTexture("6f_flesh.png");
						var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6);
                    }
                }
            );

						ModAPI.Register(
										new Modification()
										{
												OriginalItem = ModAPI.FindSpawnable("Human"),
												NameOverride = "Adidas Suit Red",
												NameToOrderByOverride = "!",
												DescriptionOverride = "Very Cool Gopnik",
												CategoryOverride = ModAPI.FindCategory("CHP"),
												ThumbnailOverride = ModAPI.LoadSprite("icon/18.png"),
												AfterSpawn = (Instance) =>
												{
														var skin = ModAPI.LoadTexture("18.png");
							 var flesh = ModAPI.LoadTexture("6f_flesh.png");
							 var bone = ModAPI.LoadTexture("6f_bone.png");
														Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

														//get person
														var person = Instance.GetComponent<PersonBehaviour>();
														person.SetBodyTextures(skin, flesh, bone, 6);
												}
										}
								);

								ModAPI.Register(
												new Modification()
												{
														OriginalItem = ModAPI.FindSpawnable("Human"),
														NameOverride = "Adidas Suit Pink",
														NameToOrderByOverride = "!",
														DescriptionOverride = "Girl Gopnik",
														CategoryOverride = ModAPI.FindCategory("CHP"),
														ThumbnailOverride = ModAPI.LoadSprite("icon/19.png"),
														AfterSpawn = (Instance) =>
														{
																var skin = ModAPI.LoadTexture("19.png");
									 var flesh = ModAPI.LoadTexture("6f_flesh.png");
									 var bone = ModAPI.LoadTexture("6f_bone.png");
																Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

																//get person
																var person = Instance.GetComponent<PersonBehaviour>();
																person.SetBodyTextures(skin, flesh, bone, 6);
														}
												}
										);

										ModAPI.Register(
														new Modification()
														{
																OriginalItem = ModAPI.FindSpawnable("Human"),
																NameOverride = "Red Jacket And Adidas Pants",
																NameToOrderByOverride = "!",
																DescriptionOverride = "Half Gopnik",
																CategoryOverride = ModAPI.FindCategory("CHP"),
																ThumbnailOverride = ModAPI.LoadSprite("icon/20.png"),
																AfterSpawn = (Instance) =>
																{
																		var skin = ModAPI.LoadTexture("20.png");
											 var flesh = ModAPI.LoadTexture("6f_flesh.png");
											 var bone = ModAPI.LoadTexture("6f_bone.png");
																		Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

																		//get person
																		var person = Instance.GetComponent<PersonBehaviour>();
																		person.SetBodyTextures(skin, flesh, bone, 6);
																}
														}
												);

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "[CM] Mercenary Vest",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Wow this vest look cool.",
                    CategoryOverride = ModAPI.FindCategory("IKK"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/SP.png"),
                    AfterSpawn = (Instance) =>
                    {
						//mid
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("armor/Plate Standart/mid.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Insulator").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("armor/Plate Standart/top.png", 6f);
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();
                        GameObject.Destroy(mogus2);
                        among2.FixColliders();
						ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
						armor3.stabResistance = 15f;
                        armor3.armorPiece = "UpperBody";
                        armor3.armorTier = 1;

				    }
                }
            );

			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "[IP] IP-482 hard bulletproof helmet ",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The helmet is designed to protect",
                    CategoryOverride = ModAPI.FindCategory("test"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/IP Helmet.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmets/IP Helmet.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 100f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
	        }
	    }
	}
